ELMVER(1)

NAME
elmver - Extract version information from file

SYNOPSIS
elmver [-v] files...

DESCRIPTION
Elmver scans the files named for the version string and, if the -v option is used, other version information, and displays it, if found. It will be displayed in the form:

file: Elan License Manager release 3.0.1

If the -v option is used, a message of the following form will be printed:

file: Elan License Manager release 3.0.1 file: HAVE_SIG=SIGACTION file: HAVE_IDPROM=GETHOSTID file: HAVE_ETHER=TRUE

The supplemental version information may change from release to release. Currently, we display which signal handling function is used, how the ID Prom is determined, and if the ethernet address is available or not for host locking.

Only files compiled with the library that does any license server communications (elm_init, etc.) will automatically have the version information compiled into it. Running elmver on the library is always a sure bet.

Elmver is handy for determining the release level of the library that a command was compiled with. However, for your and your customer's convenience, we also recommend that you display the release number wherever you display your product's release number. The release number is available via elm_getrelease(3).

CAVEAT
Elmver will only work on files compiled with the library and that do server communication.

OPTIONS

-v  Verbose. Display additional version information.

SEE ALSO
elm_getrelease(3).